PHP Update von 5.6 auf 7.1

Thema wurde von stefanknabl, 11. Dezember 2018 erstellt.

  1. stefanknabl

    stefanknabl Mitglied

    Registriert seit:
    19. Februar 2016
    Beiträge:
    11
    Danke erhalten:
    0
    Hallo,

    Ich habe folgendes Problem. Mein Shop läuft über one.com. Dort wurde der support für php5.6 eingestellt. Es werden nur mehr die Versionen 7.1, 7.2 und 7.3 unterstützt. Aus diesem Grund muss ich ein update machen. Da ich aber ein absoluter Laie bin, würde ich eine Schritt für Schritt Anleitung benötigen. Was ich vorab noch erwähnen möchte, ist die Tatsache, dass ich mich in meinen Admin Bereich nicht mehr einloggen kann, da One.com php 5.6 nicht mehr unterstützt und ich daher meinen Shop nicht mehr aufrufen kann. Ich habe nun die Support Lizenz von gambio erworben. Im Anhang ist ein Screenshoot von meinem Startfenster. Da ist so einiges rot. Ich denke das sollte auch nicht so sein. Die Domain von meinem Shop ist www.iwheels.at
    Bitte um raschen Support. DANKE!!!!
     

    Anhänge:

  2. Anonymous

    Anonymous Beta-Held

    Registriert seit:
    22. März 2015
    Beiträge:
    2.381
    Danke erhalten:
    640
    Danke vergeben:
    412
    Das ist rot weil dein Shop nicht läuft. Ein Update kannst du trotzdem durchführen.

    Wenn du dir aber nicht sicher bist was du tust solltest du überlegen gambio das Update durchführen zu lassen.
     
  3. stefanknabl

    stefanknabl Mitglied

    Registriert seit:
    19. Februar 2016
    Beiträge:
    11
    Danke erhalten:
    0
    Hallo,
    Danke für die Rückmeldung. Ich möchte um ehrlich zu sein weitere Kosten meiden. Nun hat mich der Support 149 gekostet und das Update von Gambio würde mich nochmal knapp 400 kosten. Mit einer kleinen Anleitung würde ichs schon hinbekommen. Daher wäre ich sehr dankbar über eine kurze Schritt für Schritt Anleitung.
     
  4. Anonymous

    Anonymous Erfahrener Benutzer

    Registriert seit:
    19. Juni 2012
    Beiträge:
    4.550
    Danke erhalten:
    1.000
    Danke vergeben:
    866
    Ich würde One.com bitten, nochmal auf php 5.6 downzugraden, damit du dein Update machen kannst. Oder die bitten, dich zumindest zeitweise auf einen Server zu verschieben, der noch 5.6 hat. Ggf. kannst du das auch über die .htaccess Datei nochmal einstellen. Sonst wird es schwierig, weil du vermutlich nicht einmal den Updater aufrufen kannst.

    Wenn du das geschafft hast, kannst du im Mitgliederbereich die Master-Updates herunterladen. Du musst dich dann von Master Update zu Master Update hangeln: Update in deinen Shop hochladen per FTP, Updater aufrufen, Update durchführen, nächstes Update, ...

    Wenn du das Master Update Paket hochgeladen hast, wird normalerweise der Update von selbst ausgeführt.

    Bevor du anfängst: Datenbanksicherung und FTP Sicherung anlegen.
     
  5. Anonymous

    Anonymous Beta-Held

    Registriert seit:
    22. März 2015
    Beiträge:
    2.381
    Danke erhalten:
    640
    Danke vergeben:
    412
    Im update ist eine Anleitung drin der musst du nur genau folgen.
     
  6. barbara

    barbara G-WARD 2014-2020

    Registriert seit:
    14. August 2011
    Beiträge:
    33.584
    Danke erhalten:
    10.423
    Danke vergeben:
    1.498
    Ich würde die Updates nicht einzeln machen, sondern mir ein Paket vom Update-Assistenten erstellen lassen.
    Wichtig ist aber in jedem Fall die Sicherung der Dateien und der Datenbank.
     
  7. Anonymous

    Anonymous Erfahrener Benutzer

    Registriert seit:
    19. Juni 2012
    Beiträge:
    4.550
    Danke erhalten:
    1.000
    Danke vergeben:
    866
    gibt's den updater schon in gx 2.7?
     
  8. barbara

    barbara G-WARD 2014-2020

    Registriert seit:
    14. August 2011
    Beiträge:
    33.584
    Danke erhalten:
    10.423
    Danke vergeben:
    1.498
    Ich meine den gibt es ab 2.1.x
     
  9. Wilken (Gambio)

    Wilken (Gambio) Administrator
    Mitarbeiter

    Registriert seit:
    7. November 2012
    Beiträge:
    17.779
    Danke erhalten:
    6.759
    Danke vergeben:
    2.047
    Sammelupdates im Updateassistenten gibts für Shops ab 2.0.7c, das kann man alles in einem Rutsch abhaken.